<?php

namespace Litecms\Trader\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TraderTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Trader\Models\Trader $trader)
    {
        return [
            'id'                => $trader->getRouteKey(),
            'key'               => [
                'public'    => $trader->getPublicKey(),
                'route'     => $trader->getRouteKey(),
            ], 
            'trader_name'       => $trader->trader_name,
            'website_url'       => $trader->website_url,
            'description'       => $trader->description,
            'account_type '     => $trader->account_type ,
            'email_address'     => $trader->email_address,
            'name_salution'     => $trader->name_salution,
            'f_name'            => $trader->f_name,
            'm_name'            => $trader->m_name,
            'l_name'            => $trader->l_name,
            'country_residence' => $trader->country_residence,
            'phone_numbe'       => $trader->phone_numbe,
            'role_type'         => $trader->role_type,
            'base_currency'     => $trader->base_currency,
            'investor_account _username' => $trader->investor_account _username,
            'photo'             => $trader->photo,
            'public_info'       => $trader->public_info,
            'broker_ids'        => $trader->broker_ids,
            'is_exist_acc_broker' => $trader->is_exist_acc_broker,
            'is_retr_trade_his' => $trader->is_retr_trade_his,
            'url'               => [
                'public'    => trans_url('trader/'.$trader->getPublicKey()),
                'user'      => guard_url('trader/trader/'.$trader->getRouteKey()),
            ], 
            'status'            => trans('app.'.$trader->status),
            'created_at'        => format_date($trader->created_at),
            'updated_at'        => format_date($trader->updated_at),
        ];
    }
}